import o from "../../../@babel/runtime/helpers/esm/objectSpread2.mjs";
import S from "../../../@babel/runtime/helpers/esm/defineProperty.mjs";
import * as r from "react";
import k from "../../../classnames/index.mjs";
import { getDirectionStyle as _ } from "../util.mjs";
import D from "../context.mjs";
function N(t) {
  var c = t.prefixCls, a = t.style, l = t.children, n = t.value, d = t.onClick, e = r.useContext(D), m = e.min, u = e.max, s = e.direction, f = e.includedStart, x = e.includedEnd, C = e.included, i = "".concat(c, "-text"), p = _(s, n, m, u);
  return /* @__PURE__ */ r.createElement("span", {
    className: k(i, S({}, "".concat(i, "-active"), C && f <= n && n <= x)),
    style: o(o({}, p), a),
    onMouseDown: function(y) {
      y.stopPropagation();
    },
    onClick: function() {
      d(n);
    }
  }, l);
}
export {
  N as default
};
